=== debian/changelog ===
alembic (1.7.12-0thomas~bionic2+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 17 Jul 2020 17:09:33 +0000

alembic (1.7.12-0thomas~bionic2) bionic; urgency=medium

  * New upstream release

 -- Thomas Schiex <empnessty@gmail.com>  Sat, 22 Feb 2020 01:48:39 +0100

alembic (1.7.8-0thomas~bionic1) bionic; urgency=medium

  * New upstream release

 -- Thomas Schiex <empnessty@gmail.com>  Sat, 22 Dec 2018 01:48:39 +0100

alembic (1.7.1-0thomas~bionic0) bionic; urgency=medium

  * New upstream version

 -- Thomas Schiex <empnessty@gmail.com>  Sun, 09 Apr 2017 19:18:39 +0200

alembic (1.6.1-0thomas~bionic3) bionic; urgency=medium

  * Initial upload

 -- Thomas Schiex <empnessty@gmail.com>  Fri, 28 Oct 2016 23:20:24 +0200
