=== debian/control ===
Source: alembic
Priority: extra
Maintainer: Thomas Schiex <empnessty@gmail.com>
Build-Depends: debhelper (>= 8.0.0), cmake, libopenexr-dev, libboost-thread-dev,
               libboost-program-options-dev, libboost-dev
Standards-Version: 3.9.7
Section: graphics
Homepage: https://github.com/alembic/alembic/tree/master/lib/Alembic

Package: libalembic-dev
Section: libdevel
Architecture: any
Depends:  ${misc:Depends}
Description: Import alembic files - development
 Alembic is a library for accessing Alembic files.
