=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BLDDIR = debian/cmake
TMPDIR = debian/tmp
DIST := $(shell dpkg-parsechangelog | awk '/^Distribution: / {print $$2}')

%:
	dh $@ -Scmake -B$(BLDDIR) --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DUSE_ARNOLD=OFF \
	-DUSE_BINARIES=OFF \
	-DUSE_EXAMPLES=OFF \
	-DUSE_HDF5=OFF \
	-DUSE_MAYA=OFF \
	-DUSE_PRMAN=OFF \
	-DUSE_PYALEMBIC=OFF \
	-DUSE_STATIC_HDF5=OFF \
	-DALEMBIC_ILMBASE_LINK_STATIC=OFF \
	-DALEMBIC_LIB_USES_BOOST=ON \
	-DALEMBIC_LIB_USES_TR1=OFF \
	-DUSE_TESTS=OFF \
	-DALEMBIC_SHARED_LIBS=OFF

override_dh_installdocs:
